package com.bjsxt.commons;


import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.ResourceBundle;

public class JDBCUtils {
    private static String dirver;
    private static String url;
    private static String username;
    private static String password;

    static{
        try {
        //获取配置信息
        ResourceBundle bundle = ResourceBundle.getBundle("db");
        dirver=bundle.getString("jdbc.driver");
        url=bundle.getString("jdbc.url");
        username=bundle.getString("jdbc.username");
        password=bundle.getString("jdbc.password");
        //加载驱动
        Class.forName(dirver);
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        }
    }
    //获取连接的方法
    public static Connection getConnection(){
        Connection conn=null;
        try {
            //获取连接
            conn= DriverManager.getConnection(url,username,password);
        } catch (SQLException e) {
            e.printStackTrace();
        }
        return conn;
    }
    //关闭连接的方法
    public static void closeConnection(Connection conn){
        try {
            if (conn != null) {
                conn.close();
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
}
